Bug 101891 - user ldap not created when installing openldap-servers
user ldap not created when installing openldap-servers
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-07 16:02 EDT by Hans Deragon
Modified: 2015-01-07 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-06 18:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans Deragon 2003-08-07 16:02:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
RH 9 installed without openldap server.  Manually installed server later on. 
ldap user not created during install.

This causes some problems.  For instance, /etc/init.d/ldap tries to start the
server as ldap.  If then I create an ldap user, it fails to read /var/lib/ldap
because that directory was created under the root user.  I had to manually
change ownership of this directory.  But I lost time figuring out the problems
since I am a newbie with openldap.

Version-Release number of selected component (if applicable):
openldap-servers_2.0.27

How reproducible:
Always

Steps to Reproduce:
1. rpm -Uhv openldap-servers_2.0.27-8_i386.rpm

    

Actual Results:  warning: openldap-servers_2.0.27-8_i386.rpm: V3 DSA signature:
NOKEY, key ID db42a60e
Preparing...                ########################################### [100%]
warning: user ldap does not exist - using root
   1:openldap-servers       ########################################### [100%]


Expected Results:  ldap user should have been created.

Additional info:
Comment 1 Bill Nottingham 2006-08-05 01:47:57 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Hans Deragon 2006-08-06 18:18:22 EDT
I am not working with LDAP anymore.  I cannot check Fedora.  You decide if this
should be closed or not.

Note You need to log in before you can comment on or make changes to this bug.